Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.management.p13n.ad
Class AdContentID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.management.p13n.ad.AdContentID

All Implemented Interfaces
  Serializable

    public class AdContentID

extends com.bea.portal.tools.resource.framework.TaggedResourceID

See Also
  Serialized Form

Constructor Summary
`` | `AdContentID(String resourceURN)` Constructor.
`protected` | `AdContentID(com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder builder)` Constructor.

Method Summary
`String` | `getAdContentName()`
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)` Put the tag values into the `MutableTagMap` in order to construct the resource URN.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getResourceIDBuilder, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdContentID

    protected AdContentID(com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder builder)

  Constructor.

  Parameters
    `builder` - the `TaggedResourceIDBuilder` (must not be `null`)

### AdContentID

    public AdContentID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

Method Detail

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Put the tag values into the `MutableTagMap` in order to construct the resource URN.

  Overrides:
    `setResourcePathTags` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`
  Parameters
    `canonicalResourceURN` - indlciates if the canonical resource URN is being computed

### getAdContentName

    public String getAdContentName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved